# This file is part of Plus Plus Service.
# Copyright (C) 2016 The Fedora Project
#
# Plus Plus Service is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Plus Plus Service is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with Plus Plus Service.  If not, see <http://www.gnu.org/licenses/>.
#
# Authors:  Aurelien Bompard <abompard@fedoraproject.org>
#

import datetime

from sqlalchemy import Column, Integer, Unicode, DateTime
from sqlalchemy.ext.declarative import declarative_base


Base = declarative_base()
Base.metadata.naming_convention = {
    "ix": 'ix_%(column_0_label)s',
    "uq": "uq_%(table_name)s_%(column_0_name)s",
    "fk": "fk_%(table_name)s_%(column_0_name)s_%(referred_table_name)s",
    "pk": "pk_%(table_name)s"
}


class Vote(Base):

    __tablename__ = 'votes'

    id = Column(Integer, primary_key=True)
    release = Column(Unicode(254), index=True, nullable=False)
    from_user = Column(Unicode(254), index=True, nullable=False)
    to_user = Column(Unicode(254), index=True, nullable=False)
    value = Column(Integer, index=True, nullable=False)
    date = Column(DateTime, default=datetime.datetime.utcnow, nullable=False)
